import { PluginConfig } from './interfaces';
import { Log } from './logger';
import { Hap } from './hap';
export declare class Plugin {
    log: Log;
    config: any;
    homebridgeConfig: any;
    hap: Hap;
    package: any;
    constructor(log: any, config: PluginConfig, homebridgeConfig: any);
    onSync(body: any): Promise<{
        requestId: any;
        payload: {
            errorCode: string;
            status: string;
        };
    } | {
        requestId: any;
        payload: {
            agentUserId: any;
            devices: any[];
        };
    }>;
    onQuery(body: any): Promise<{
        requestId: any;
        payload: {
            devices: {};
        };
    }>;
    onExecute(body: any): Promise<{
        requestId: any;
        payload: {
            commands: undefined;
        };
    }>;
    onDisconnect(body: any): Promise<{
        requestId: any;
        payload: {};
    }>;
    deviceNotReady(body: any): {
        requestId: any;
        payload: {
            errorCode: string;
            status: string;
        };
    };
}
